I have a VIA vl805 pci express 4 ports usb 3.0 expansion card compatibility issue

I have a vl805 via chipset 4 ports usb hub to buy will that work my Mac OsX or which version I need to upgrade to work.
Is that natively (built in ) supported or need a driver to download? I have seen some videos where it did work but was a different made.

Follow this Question

No Answers have been submitted

Be the first to answer this question.  Answer now

Similar Questions

See more Similar Questions